## microprofile 3.1%2Bds

=== demo/simple/Makefile ===
LDFLAGS+=-lpthread
CFLAGS=-Wno-c++11-extensions -I../..
#CFLAGS+=-fsanitize=undefined-trap -fsanitize-undefined-trap-on-error
CFLAGS+=-Wall -DMICROPROFILE_UI=0 -DMICROPROFILE_WEBSERVER=1 -DMICROPROFILE_GPU_TIMERS=0
CFLAGS+=-g -O0 -Wno-invalid-offsetof -Wall -Werror

#CFLAGS+=-DMICROPROFILE_ENABLED=0
CPPFLAGS=$(CFLAGS)
CPPFLAGS+=-stdlib=libc++ -std=c++11


CPP_SOURCES = demo_simple.cpp ../../microprofile.cpp
C_SOURCES = 
ASM_SOURCES = 

TARGET=demo_simple
CC=clang
CPP=clang++
LD=clang++

ASM_OBJS = $(patsubst %.s,%.o,$(ASM_SOURCES))
CPP_OBJS = $(patsubst %.cpp,%.o,$(CPP_SOURCES))
C_OBJS = $(patsubst %.c,%.o,$(C_SOURCES))

all: $(TARGET)

$(TARGET): $(C_OBJS) $(CPP_OBJS) $(ASM_OBJS)
	$(LD) -o $(TARGET) $(C_OBJS) $(CPP_OBJS) $(ASM_OBJS) $(LDFLAGS) $(CPPFLAGS)

-include .depend

../../microprofile.o: ../../microprofile.cpp ../../microprofile.h \
  ../../microprofile_html.h

.s.o:
	as -masm=intel $< -o $@

.cpp.o: 
	$(CPP) -c $< $(CPPFLAGS) -o $@

.c.o:
	$(CC) -c $< $(CFLAGS) -o $@


clean: depend
	rm -f *.o ../../microprofile.o $(TARGET)

depend: $(CPP_SOURCES) $(C_SOURCES)
	$(CPP) -MM $(CPPFLAGS) $(CPP_SOURCES) >> .depend

embed_target:
	cd ../../src && make

embed: embed_target all

## microprofile 3.1+ds

=== demo/c/Makefile ===
LDFLAGS+=-lpthread
FLAGS=-I../..
#FLAGS+=-fsanitize=undefined-trap -fsanitize-undefined-trap-on-error
FLAGS+=-Wall -DMICROPROFILE_UI=0 -DMICROPROFILE_WEBSERVER=1 -DMICROPROFILE_GPU_TIMERS=0
FLAGS+=-g -O0 -Wall -Werror

CPPFLAGS= $(FLAGS) -std=c++11 -Wno-invalid-offsetof
CFLAGS = $(FLAGS) -std=c99 


CPP_SOURCES = microprofile.cpp ../../microprofile.cpp
C_SOURCES = demo.c

TARGET=demo_c
CC ?= clang
CXX ?= clang++
LD = $(CXX)

ASM_OBJS = $(patsubst %.s,%.o,$(ASM_SOURCES))
CPP_OBJS = $(patsubst %.cpp,%.o,$(CPP_SOURCES))
C_OBJS = $(patsubst %.c,%.o,$(C_SOURCES))

all: $(TARGET)

$(TARGET): $(C_OBJS) $(CPP_OBJS) $(ASM_OBJS)
	$(LD) -o $(TARGET) $(C_OBJS) $(CPP_OBJS) $(ASM_OBJS) $(LDFLAGS) $(CPPFLAGS)

-include .depend


.s.o:
	as -masm=intel $< -o $@

.cpp.o: 
	$(CXX) -c $< $(CPPFLAGS) -o $@

.c.o:
	$(CC) -c $< $(CFLAGS) -o $@


clean: depend
	rm -f *.o ../../microprofile.o $(TARGET)

depend: $(CPP_SOURCES) $(C_SOURCES)
	$(CXX) -MM $(CPPFLAGS) $(CPP_SOURCES) >> .depend

embed_target:
	cd ../../src && make

embed: embed_target all

=== demo/dynamic_instrument/Makefile ===
UNAME_S := $(shell uname -s)

LDFLAGS+=-lpthread

ifeq ($(UNAME_S),Linux)
	LDFLAGS+=-ldl -rdynamic
endif


CFLAGS=-Wno-c++11-extensions -I../..

CFLAGS+=-Wall -DMICROPROFILE_UI=0 -DMICROPROFILE_WEBSERVER=1 -DMICROPROFILE_GPU_TIMERS=0
CFLAGS+=-g -O0 -Wno-invalid-offsetof -Wall -Werror
CFLAGS+=-DMICROPROFILE_DYNAMIC_INSTRUMENT_ENABLE
CFLAGS+= -I../../distorm/include


CPPFLAGS=$(CFLAGS)
CPPFLAGS+=-stdlib=libc++ -std=c++11


CPP_SOURCES = demo_dynamic_instrument.cpp ../../microprofile.cpp
C_SOURCES = 
ASM_SOURCES = 


# Remember to update submodule and compile distorm
##CFLAGS+=-DMICROPROFILE_BREAK_ON_PATCH_FAIL=1
LDFLAGS+=../../distorm/distorm3.a
ASM_SOURCES+=../../patch_osx.s

TARGET=demo_dynamic_instrument
CC=clang
CPP=clang++
LD=clang++

ASM_OBJS = $(patsubst %.s,%.o,$(ASM_SOURCES))
CPP_OBJS = $(patsubst %.cpp,%.o,$(CPP_SOURCES))
C_OBJS = $(patsubst %.c,%.o,$(C_SOURCES))

all: $(TARGET)

$(TARGET): $(C_OBJS) $(CPP_OBJS) $(ASM_OBJS)
	$(LD) -o $(TARGET) $(C_OBJS) $(CPP_OBJS) $(ASM_OBJS) $(LDFLAGS) $(CPPFLAGS)

-include .depend

../../microprofile.o: ../../microprofile.cpp ../../microprofile.h \
  ../../microprofile_html.h

.s.o:
	$(CC) -c $< -o $@

.cpp.o: 
	$(CPP) -c $< $(CPPFLAGS) -o $@

.c.o:
	$(CC) -c $< $(CFLAGS) -o $@


clean: depend
	rm -f *.o ../../*.o $(TARGET)

depend: $(CPP_SOURCES) $(C_SOURCES)
	$(CPP) -MM $(CPPFLAGS) $(CPP_SOURCES) >> .depend

embed_target:
	cd ../../src && make

embed: embed_target all

=== demo/noframes/Makefile ===
LDFLAGS+=-lpthread
FLAGS=-I../..
#FLAGS+=-fsanitize=undefined-trap -fsanitize-undefined-trap-on-error
FLAGS+=-Wall -DMICROPROFILE_GPU_TIMERS=0
FLAGS+=-g -O0 -Wno-invalid-offsetof -Wall -Werror
#FLAGS+=-DMICROPROFILE_ENABLED=0

CPPFLAGS= $(FLAGS) -std=c++11
CFLAGS = $(FLAGS) -std=c99 


CPP_SOURCES = fakework.cpp noframes.cpp ../../microprofile.cpp
C_SOURCES = 

TARGET=noframes
CC ?= clang
CXX ?= clang++
LD = $(CXX)

CPP_OBJS = $(patsubst %.cpp,%.o,$(CPP_SOURCES))
C_OBJS = $(patsubst %.c,%.o,$(C_SOURCES))

all: $(TARGET)

$(TARGET): $(C_OBJS) $(CPP_OBJS)
	$(LD) -o $(TARGET) $(C_OBJS) $(CPP_OBJS) $(LDFLAGS) $(CPPFLAGS)

-include .depend

.cpp.o: 
	$(CXX) -c $< $(CPPFLAGS) -o $@

.c.o:
	$(CC) -c $< $(CFLAGS) -o $@


clean: depend
	rm -f *.o ../../microprofile.o $(TARGET)

depend: $(CPP_SOURCES) $(C_SOURCES)
	$(CXX) -MM $(CPPFLAGS) $(CPP_SOURCES) >> .depend

embed_target:
	cd ../../src && make

embed: embed_target all

=== demo/workbench/Makefile ===
UNAME_S := $(shell uname -s)
LDFLAGS+=-lpthread

ifeq ($(UNAME_S),Linux)
	LDFLAGS+=-ldl -rdynamic
endif

FLAGS=-I../..
#FLAGS+=-fsanitize=undefined-trap -fsanitize-undefined-trap-on-error
FLAGS+=-Wall -DMICROPROFILE_UI=0 -DMICROPROFILE_WEBSERVER=1 -DMICROPROFILE_GPU_TIMERS=0
FLAGS+=-g -O0 -Wall -Werror
#FLAGS+=-DMICROPROFILE_ENABLED=0
FLAGS+=-DMICROPROFILE_DYNAMIC_INSTRUMENT_ENABLE
FLAGS+= -I../../distorm/include



CPPFLAGS= $(FLAGS) -std=c++11 -Wno-invalid-offsetof
CFLAGS = $(FLAGS) -std=c99 



CPP_SOURCES = fakework.cpp demo_workbench.cpp ../../microprofile.cpp
C_SOURCES = test.c
ASM_SOURCES = 


#comment in the following lines to enable function instrumentation.
#requires distorm to be present and compiled (IE distorm3.a must be present)
#CFLAGS+=-DMICROPROFILE_BREAK_ON_PATCH_FAIL=1
LDFLAGS+=../../distorm/distorm3.a
ASM_SOURCES+=../../patch_osx.s

TARGET=demo_workbench
CC ?= clang
CXX ?= clang++
LD = $(CXX)

ASM_OBJS = $(patsubst %.s,%.o,$(ASM_SOURCES))
CPP_OBJS = $(patsubst %.cpp,%.o,$(CPP_SOURCES))
C_OBJS = $(patsubst %.c,%.o,$(C_SOURCES))

all: $(TARGET)

$(TARGET): $(C_OBJS) $(CPP_OBJS) $(ASM_OBJS)
	$(LD) -o $(TARGET) $(C_OBJS) $(CPP_OBJS) $(ASM_OBJS) $(LDFLAGS) $(CPPFLAGS)

-include .depend

../../microprofile.o: ../../microprofile.cpp ../../microprofile.h \
  ../../microprofile_html.h

.s.o:
	clang -c $< -o $@

.cpp.o: 
	$(CXX) -c $< $(CPPFLAGS) -o $@

.c.o:
	$(CC) -c $< $(CFLAGS) -o $@


clean: depend
	rm -f *.o ../../*.o $(TARGET)

depend: $(CPP_SOURCES) $(C_SOURCES)
	$(CXX) -MM $(CPPFLAGS) $(CPP_SOURCES) >> .depend

embed_target:
	cd ../../src && make

embed: embed_target all

=== debian/changelog ===
microprofile (3.1+ds-2) unstable; urgency=medium

  * d/patches: link with libatomic when needed
  * d/tests: add autopkgtests

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 19 Feb 2022 13:53:56 +0100

microprofile (3.1+ds-1) unstable; urgency=low

  * Initial release. Closes: #1001319

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 08 Dec 2021 13:40:15 +0100

=== debian/control ===
Source: microprofile
Section: libs
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: debhelper-compat (= 13),
               meson
Standards-Version: 4.6.0
Homepage: https://github.com/jonasmr/microprofile
Vcs-Git: https://salsa.debian.org/debian/microprofile.git
Vcs-Browser: https://salsa.debian.org/debian/microprofile
Rules-Requires-Root: no

Package: libmicroprofile3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: embeddable CPU/GPU profiler
 Microprofile is an embeddable CPU/GPU profiler with an in-app and HTML
 visualizers, written in C++.
 .
 This package contains the shared library.

Package: libmicroprofile-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmicroprofile3 (= ${binary:Version}), ${misc:Depends}
Description: embeddable CPU/GPU profiler - development
 Microprofile is an embeddable CPU/GPU profiler with an in-app and HTML
 visualizers, written in C++.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all qa=+all
export LC_ALL = C.UTF-8

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dmicroprofile_use_config=true

=== debian/watch ===
version=4
opts="searchmode=plain, \
  filenamemangle=s/.+\/v@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/, \
  pgpmode=none, \
  repacksuffix=+ds, \
  dversionmangle=auto" \
  https://api.github.com/repos/jonasmr/microprofile/tags \
  https://api.github.com/repos/jonasmr/microprofile/tarball/refs/tags/v@ANY_VERSION@ \
  debian uupdate

## microprofile 4.0%2Bdfsg

=== debian/control ===
Source: microprofile
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmark <!nodoc>,
                    libstb-dev,
                    meson,
                    pkg-config
Standards-Version: 4.6.2
Homepage: https://github.com/jonasmr/microprofile
Vcs-Git: https://salsa.debian.org/debian/microprofile.git
Vcs-Browser: https://salsa.debian.org/debian/microprofile
Rules-Requires-Root: no

Package: libmicroprofile4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: embeddable CPU/GPU profiler
 Microprofile is an embeddable CPU/GPU profiler with an in-app and HTML
 visualizers, written in C++.
 .
 This package contains the shared library.

Package: libmicroprofile-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmicroprofile4 (= ${binary:Version}),
         libstb-dev,
         ${misc:Depends}
Recommends: libjs-highlight.js
Description: embeddable CPU/GPU profiler - development
 Microprofile is an embeddable CPU/GPU profiler with an in-app and HTML
 visualizers, written in C++.
 .
 This package contains the development files.

## microprofile 4.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(microprofile)

option(MICROPROFILE_USE_CONFIG_FILE "Use user provided configuration in microprofile.config.h file." OFF)

set(MICROPROFILE_EXPORT_FILENAME microprofile.export.h)
set(MICROPROFILE_CONFIG_HEADER ${PROJECT_SOURCE_DIR}/microprofile.config.h)
set(MICROPROFILE_PUBLIC_HEADERS
	${PROJECT_SOURCE_DIR}/microprofile.h
	${CMAKE_CURRENT_BINARY_DIR}/${MICROPROFILE_EXPORT_FILENAME}
)

set(THREADS_PREFER_PTHREAD_FLAG ON)

add_library(${PROJECT_NAME} microprofile.cpp)

include(GenerateExportHeader)
generate_export_header(${PROJECT_NAME}
	EXPORT_MACRO_NAME MICROPROFILE_API
	EXPORT_FILE_NAME ${MICROPROFILE_EXPORT_FILENAME}
)

target_include_directories(${PROJECT_NAME} PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
	$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
	$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

target_compile_definitions(${PROJECT_NAME} PUBLIC MICROPROFILE_EXPORT)

if (MICROPROFILE_USE_CONFIG_FILE)
	target_compile_definitions(${PROJECT_NAME} PUBLIC MICROPROFILE_USE_CONFIG)
endif()

find_package(Threads REQUIRED)
target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads)

if (WIN32)
	target_link_libraries(${PROJECT_NAME} PRIVATE ws2_32)
endif()

target_compile_features(${PROJECT_NAME} PUBLIC cxx_std_11)

set_target_properties(${PROJECT_NAME} PROPERTIES PUBLIC_HEADER "${MICROPROFILE_PUBLIC_HEADERS}")

find_package(PkgConfig QUIET)
if (PKG_CONFIG_FOUND)
	pkg_check_modules(stb QUIET IMPORTED_TARGET stb)
endif()
if (stb_FOUND)
	target_link_libraries(${PROJECT_NAME} PRIVATE PkgConfig::stb)
	target_compile_definitions(${PROJECT_NAME} PRIVATE MICROPROFILE_SYSTEM_STB)
endif()

include(GNUInstallDirs)
install(TARGETS ${PROJECT_NAME})
if (MICROPROFILE_USE_CONFIG_FILE)
	install(FILES ${MICROPROFILE_CONFIG_HEADER} TYPE INCLUDE)
endif()

=== meson_options.txt ===
option('microprofile_use_config', type: 'boolean', value: false, description: 'Use custom microprofile.config.h')

=== src/Makefile ===

CC ?= clang
CXX ?= clang++
LD = clang++
TARGET=../microprofile_html.h

all: $(TARGET)

embed: embed.c
	$(CC) -g embed.c -o embed

$(TARGET): embed microprofile.html microprofilelive.html
	rm -f $(TARGET)
	./embed $(TARGET) microprofile.html ____embed____ g_MicroProfileHtml MICROPROFILE_EMBED_HTML
	./embed $(TARGET) microprofilelive.html ____embed____ g_MicroProfileHtmlLive MICROPROFILE_EMBED_HTML

=== demo/c/Makefile ===
--- 
+++ 
@@ -3,8 +3,10 @@
 #FLAGS+=-fsanitize=undefined-trap -fsanitize-undefined-trap-on-error
 FLAGS+=-Wall -DMICROPROFILE_UI=0 -DMICROPROFILE_WEBSERVER=1 -DMICROPROFILE_GPU_TIMERS=0
 FLAGS+=-g -O0 -Wall -Werror
+FLAGS+=-Wno-unused-variable
 
-CPPFLAGS= $(FLAGS) -std=c++11 -Wno-invalid-offsetof
+CPPFLAGS= $(FLAGS) -std=c++14 -Wno-invalid-offsetof
+
 CFLAGS = $(FLAGS) -std=c99 
 
 
@@ -12,8 +14,8 @@
 C_SOURCES = demo.c
 
 TARGET=demo_c
-CC ?= clang
-CXX ?= clang++
+CC = clang
+CXX = clang++
 LD = $(CXX)
 
 ASM_OBJS = $(patsubst %.s,%.o,$(ASM_SOURCES))

=== demo/dynamic_instrument/Makefile ===
--- 
+++ 
@@ -16,12 +16,12 @@
 
 
 CPPFLAGS=$(CFLAGS)
-CPPFLAGS+=-stdlib=libc++ -std=c++11
+CPPFLAGS+=-std=c++14
 
 
 CPP_SOURCES = demo_dynamic_instrument.cpp ../../microprofile.cpp
-C_SOURCES = 
-ASM_SOURCES = 
+C_SOURCES =
+ASM_SOURCES =
 
 
 # Remember to update submodule and compile distorm
@@ -51,7 +51,7 @@
 .s.o:
 	$(CC) -c $< -o $@
 
-.cpp.o: 
+.cpp.o:
 	$(CPP) -c $< $(CPPFLAGS) -o $@
 
 .c.o:
@@ -69,5 +69,5 @@
 
 embed: embed_target all
 
-	
 
+

=== demo/gl/Makefile ===
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Linux)
	LDFLAGS=-lGL `sdl2-config --static-libs` -lpthread
endif
ifeq ($(UNAME_S),Darwin)
	LDFLAGS=-framework OpenGL `sdl2-config --static-libs` -lpthread
endif

CFLAGS=`sdl2-config --cflags` -I../.. -I../glew -DGLEW_STATIC -Wall -Werror -I. -Wno-deprecated-declarations
CFLAGS+=-Wall -DMICROPROFILE_USE_CONFIG -Wno-format-truncation
CFLAGS+=-DMICROPROFILE_GPU_TIMERS_MULTITHREADED=1

CFLAGS+=-g -O0 

CPPFLAGS=$(CFLAGS)
#CPPFLAGS+=-Wno-c++11-extensions
#CPPFLAGS+=-stdlib=libc++ -std=c++11 -Wno-invalid-offsetof


CPP_SOURCES = demo_gl.cpp ../../microprofile.cpp
C_SOURCES = ../glew/glew.c

TARGET=demo_gl
CC ?= clang
CXX ?= clang++
LD = $(CXX)

CPP_OBJS = $(patsubst %.cpp,%.o,$(CPP_SOURCES))
C_OBJS = $(patsubst %.c,%.o,$(C_SOURCES))

all: $(TARGET)

$(TARGET): $(C_OBJS) $(CPP_OBJS)
	$(LD) -o $(TARGET) $(C_OBJS) $(CPP_OBJS) $(LDFLAGS) $(CPPFLAGS)

-include .depend

.cpp.o: 
	$(CXX) -c $< $(CPPFLAGS) -o $@

.c.o:
	$(CC) -c $< $(CFLAGS) -o $@


clean: depend
	rm -f *.o ../../*.o ../glew/*.o $(TARGET)

depend: $(CPP_SOURCES) $(C_SOURCES)
	$(CC) -MM $(CFLAGS) $(C_SOURCES) > .depend
	$(CXX) -MM $(CPPFLAGS) $(CPP_SOURCES) >> .depend

embed_target:
	cd ../../src && make

embed: embed_target all

=== demo/noframes/Makefile ===
--- 
+++ 
@@ -5,16 +5,18 @@
 FLAGS+=-g -O0 -Wno-invalid-offsetof -Wall -Werror
 #FLAGS+=-DMICROPROFILE_ENABLED=0
 
-CPPFLAGS= $(FLAGS) -std=c++11
-CFLAGS = $(FLAGS) -std=c99 
+CPPFLAGS= $(FLAGS) -std=c++14
+CFLAGS = $(FLAGS) -std=c99
+
+CPPFLAGS+=-Wno-unused-variable
 
 
 CPP_SOURCES = fakework.cpp noframes.cpp ../../microprofile.cpp
-C_SOURCES = 
+C_SOURCES =
 
 TARGET=noframes
-CC ?= clang
-CXX ?= clang++
+CC = clang
+CXX = clang++
 LD = $(CXX)
 
 CPP_OBJS = $(patsubst %.cpp,%.o,$(CPP_SOURCES))
@@ -27,7 +29,7 @@
 
 -include .depend
 
-.cpp.o: 
+.cpp.o:
 	$(CXX) -c $< $(CPPFLAGS) -o $@
 
 .c.o:
@@ -44,5 +46,5 @@
 	cd ../../src && make
 
 embed: embed_target all
-	
 
+

=== demo/simple/Makefile ===
--- 
+++ 
@@ -1,17 +1,18 @@
 LDFLAGS+=-lpthread
-CFLAGS=-Wno-c++11-extensions -I../..
+CFLAGS=-I../..
 #CFLAGS+=-fsanitize=undefined-trap -fsanitize-undefined-trap-on-error
 CFLAGS+=-Wall -DMICROPROFILE_UI=0 -DMICROPROFILE_WEBSERVER=1 -DMICROPROFILE_GPU_TIMERS=0
 CFLAGS+=-g -O0 -Wno-invalid-offsetof -Wall -Werror
+CFLAGS+=-Wno-unused-variable
 
 #CFLAGS+=-DMICROPROFILE_ENABLED=0
 CPPFLAGS=$(CFLAGS)
-CPPFLAGS+=-stdlib=libc++ -std=c++11
+CPPFLAGS+=-std=c++14
 
 
 CPP_SOURCES = demo_simple.cpp ../../microprofile.cpp
-C_SOURCES = 
-ASM_SOURCES = 
+C_SOURCES =
+ASM_SOURCES =
 
 TARGET=demo_simple
 CC=clang
@@ -35,7 +36,7 @@
 .s.o:
 	as -masm=intel $< -o $@
 
-.cpp.o: 
+.cpp.o:
 	$(CPP) -c $< $(CPPFLAGS) -o $@
 
 .c.o:
@@ -53,5 +54,5 @@
 
 embed: embed_target all
 
-	
 
+

=== demo/workbench/Makefile ===
--- 
+++ 
@@ -12,17 +12,25 @@
 #FLAGS+=-DMICROPROFILE_ENABLED=0
 FLAGS+=-DMICROPROFILE_DYNAMIC_INSTRUMENT_ENABLE
 FLAGS+= -I../../distorm/include
+FLAGS+=-Wno-unused-function
+#FLAGS+=-Wno-misleading-indentation 
+
+
+
+FLAGS+=-Wno-unused-variable
+
 
 
 
 CPPFLAGS= $(FLAGS) -std=c++11 -Wno-invalid-offsetof
-CFLAGS = $(FLAGS) -std=c99 
+
+CFLAGS = $(FLAGS) -std=c99
 
 
 
 CPP_SOURCES = fakework.cpp demo_workbench.cpp ../../microprofile.cpp
 C_SOURCES = test.c
-ASM_SOURCES = 
+ASM_SOURCES =
 
 
 #comment in the following lines to enable function instrumentation.
@@ -32,8 +40,8 @@
 ASM_SOURCES+=../../patch_osx.s
 
 TARGET=demo_workbench
-CC ?= clang
-CXX ?= clang++
+CC = clang
+CXX = clang++
 LD = $(CXX)
 
 ASM_OBJS = $(patsubst %.s,%.o,$(ASM_SOURCES))
@@ -53,7 +61,7 @@
 .s.o:
 	clang -c $< -o $@
 
-.cpp.o: 
+.cpp.o:
 	$(CXX) -c $< $(CPPFLAGS) -o $@
 
 .c.o:
@@ -71,5 +79,5 @@
 
 embed: embed_target all
 
-	
 
+

=== debian/changelog ===
microprofile (4.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * d/patches: fix blhc Salsa job

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 06 Nov 2022 22:07:50 +0100

microprofile (4.0+dfsg-1) experimental; urgency=medium

  [ Andrea Pappacoda ]
  * New upstream version 4.0+dfsg
  * d/control: libmicroprofile3 -> libmicroprofile4
  * d/copyright: exclude non-free JavaScript code
  * d/copyright: also mention the Unlicense license.
    Upstream originally used the Unlicense, but later relicensed under the
    MIT license. Between the 3.1 and 4.0 releases, though, a third party
    contributor submitted a patch adding a new LICENSE file including the
    Unlicense, and the patch was merged. It is now unclear which portions
    are licensed under the MIT and which ones under the Unlicense (if any),
    so I've marked all the code as licensed under both. It shouldn't matter
    anyway, as the Unlicense is a public domain-equivalent license.
  * d/patches: drop and refresh patches
  * d/patches: replace non-free JavaScript code (Closes: #1023178)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 03 Nov 2022 21:54:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: microprofile
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
-Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: cmark <!nodoc>,
-                    libstb-dev,
-                    meson,
-                    pkg-config
-Standards-Version: 4.6.2
+Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
+Build-Depends: debhelper-compat (= 13),
+               libstb-dev,
+               meson,
+               pkg-config
+Standards-Version: 4.6.1
 Homepage: https://github.com/jonasmr/microprofile
 Vcs-Git: https://salsa.debian.org/debian/microprofile.git
 Vcs-Browser: https://salsa.debian.org/debian/microprofile
@@ -33,7 +31,6 @@
 Depends: libmicroprofile4 (= ${binary:Version}),
          libstb-dev,
          ${misc:Depends}
-Recommends: libjs-highlight.js
 Description: embeddable CPU/GPU profiler - development
  Microprofile is an embeddable CPU/GPU profiler with an in-app and HTML
  visualizers, written in C++.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto qa=+all
export LC_ALL = C.UTF-8

%:
	dh $@ --buildsystem=meson

# create microprofile_html.h
execute_before_dh_auto_configure:
	$(MAKE) -C src

override_dh_auto_configure:
	dh_auto_configure -- \
		-Db_lto=true \
		-Dmicroprofile_use_config=true

execute_after_dh_auto_clean:
	$(MAKE) -C src clean
